so = StabilityOptimizer();

mesh_path = 'data/armadillo_39k.obj';
skeleton_path = 'data/armadillo_39k_skel.obj';
num_harmonics = 72;
min_thickness = 1e-3;
model_height = 15e-2;
so.setModel(mesh_path, skeleton_path, num_harmonics, min_thickness, model_height);

% Set to 0 for optimization without subspace projection and without
% constraint mapping
% Set to 1 for optimization with subspace projection and with constraint
% mapping
use_subspace_projection = 1;
so.performOptimization(use_subspace_projection);